> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Device Onboarding Session

> Fetch information about a device onboarding session



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/device-onboarding/{onboarding_session_id}
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/device-onboarding/{onboarding_session_id}:
    get:
      tags:
        - Device Onboarding Sessions
      summary: Get Device Onboarding Session
      description: Fetch information about a device onboarding session
      operationId: >-
        integrations_api_api_v2_device_onboarding_router_retrieve_onboarding_session
      parameters:
        - in: path
          name: onboarding_session_id
          schema:
            description: The ID of the specified device onboarding session
            format: uuid
            title: Onboarding Session Id
            type: string
          required: true
          description: The ID of the specified device onboarding session
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceOnboardingSessionOutput'
      security:
        - OAuth2: []
components:
  schemas:
    DeviceOnboardingSessionOutput:
      properties:
        authentication_url:
          title: Authentication Url
          type: string
        id:
          format: uuid
          title: Id
          type: string
        user:
          format: uuid
          title: User
          type: string
        price_zone_default:
          anyOf:
            - $ref: '#/components/schemas/PriceZone'
            - type: 'null'
        is_smart_optimization_active_default:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Smart Optimization Active Default
        skip_to:
          anyOf:
            - $ref: '#/components/schemas/SkipToType'
            - type: 'null'
        success_url:
          maxLength: 8000
          title: Redirect URL upon onboarding success
          type: string
        cancel_url:
          maxLength: 8000
          title: Redirect URL upon onboarding error
          type: string
        expiration_date:
          format: date
          title: Expiration date of the session
          type: string
        object_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Object Id
        external_metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: External Metadata
        language:
          default: en
          maxLength: 255
          title: Language of the onboarding session
          type: string
      required:
        - authentication_url
        - id
        - user
        - success_url
        - cancel_url
      title: DeviceOnboardingSessionOutput
      type: object
    PriceZone:
      enum:
        - AT
        - AT_HOURLY
        - BE
        - CH
        - EE
        - DE_LU
        - HU
        - IT_CNOR
        - IT_CSUD
        - IT_NORD
        - IT_PUN
        - IT_SARD
        - IT_SICI
        - IT_SUD
        - PT
        - RO
        - SE_1
        - SE_2
        - SE_3
        - SE_4
        - UK
      title: PriceZone
      type: string
    SkipToType:
      enum:
        - ev
        - iv
        - wb
        - hp
      title: SkipToType
      type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````